Subject: git status OOM on mmap of large file

From: Joey Hess <[email-masked]>
Date: Tue, 22 Jan 2019 18:07:14 -0400

joey@darkstar:~/tmp/t> ls -l big-file
-rw-r--r-- 1 joey joey 11811160064 Jan 22 17:48 big-file
joey@darkstar:~/tmp/t> git status
fatal: Out of memory, realloc failed

This file is checked into git, but using a smudge/clean filter, so the actual
data checked into git is a hash. I did so using git-annex v7 mode, but I
suppose git lfs would cause the same problem.

[pid  6573] mmap(NULL, 11811164160, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = -1 ENOMEM (Cannot allocate memory)

Why status needs to mmap a large file that is not modified
and that is configured to pass through smudge/clean, I don't know.
It seems like it should be possible for status work in this situation.

-- 
see shy jo